Dismiss Notice



Register Today It's free! This box and some ads will disappear once registered!

MFT Update V3.10

Discussion in '2011-2016 My Ford Touch / In Vehicle Technology' started by 2014XLT, February 15, 2017.

^^Searches ExplorerForum.com^^





  1. Tsuga

    Tsuga Member

    Joined:
    February 20, 2017
    Messages:
    72
    Likes Received:
    1
    Trophy Points:
    8
    Year, Model & Trim Level:
    2013, Explorer, Sport
    Do I need to do any additional unzipping besides the first one?
     
  2. Support EF

    Join the Elite Explorers for $20

    Explorer Forum has probably saved you that much already, and will continue to save you money as you learn how to diagnose fix problems yourself and learn which modifications work without having to experiment on your own. Elite Explorer members see practically no ads, can add their own profile photo, upload photo attachments in all forums, and Media Gallery, create more private Conversations, and more. Join Today. Your support is greatly appreciated.



  3. Benk016

    Benk016 New Member

    Joined:
    April 5, 2017
    Messages:
    41
    Likes Received:
    6
    Trophy Points:
    8
    City, State:
    Skiatook, OK
    Year, Model & Trim Level:
    2015 Explorer Sport
    No. Just extract it exactly how it is to the thumb drive.
     
  4. Tsuga

    Tsuga Member

    Joined:
    February 20, 2017
    Messages:
    72
    Likes Received:
    1
    Trophy Points:
    8
    Year, Model & Trim Level:
    2013, Explorer, Sport
    Thanks!
     
  5. Lewisra

    Lewisra Active Member

    Joined:
    December 14, 2013
    Messages:
    677
    Likes Received:
    14
    Trophy Points:
    28
    City, State:
    Howell, mi
    Year, Model & Trim Level:
    2017 explorer limited
    Yes, but not anything older.
     
  6. Tsuga

    Tsuga Member

    Joined:
    February 20, 2017
    Messages:
    72
    Likes Received:
    1
    Trophy Points:
    8
    Year, Model & Trim Level:
    2013, Explorer, Sport
    Thanks gentlemen, upgrade my Sync version and it resolved the blue tooth issue with the latest iPhone iOS.
     
  7. Benk016

    Benk016 New Member

    Joined:
    April 5, 2017
    Messages:
    41
    Likes Received:
    6
    Trophy Points:
    8
    City, State:
    Skiatook, OK
    Year, Model & Trim Level:
    2015 Explorer Sport
    Last edited: May 2, 2017
    • Like Like x 2
  8. MikB

    MikB Active Member

    Joined:
    August 6, 2015
    Messages:
    334
    Likes Received:
    20
    Trophy Points:
    28
    Year, Model & Trim Level:
    2017 F150 XLT Sport 4x4
    Not to burst anybody's bubble hear but, I've had to stand back and take a second look before I pull the trigger on this update. When I go into MyFord site and check about updates it says that I'm up to date. I have version 3.8 and there's no mention of a new update in the Ford site so, I have a question: Where does this update originate from and why doesn't Ford put it up on their site. OK, that's like, two question. I await an answer. Thanks.
     
  9. Benk016

    Benk016 New Member

    Joined:
    April 5, 2017
    Messages:
    41
    Likes Received:
    6
    Trophy Points:
    8
    City, State:
    Skiatook, OK
    Year, Model & Trim Level:
    2015 Explorer Sport
    Ford has quit publishing the updates on their site. They don't even put 3.08 up to download anymore. I'm guessing too many people wouldn't do it properly and require a dealer visit so they have just made all updates dealer install only.

    The updates here are genuine from Ford. They just take the files that dealers have access to and package them to install like a regular update. That's why this 3.10 says 3.08 is installed. Since they didn't make 3.10 a user update they didn't make a 3.10 confirmation screen so The person that set this is re-used the 3.08 confirmation.

    This install is actually from Russia with the North American language pack added.
     
  10. Daheim111

    Daheim111 Active Member

    Joined:
    February 16, 2017
    Messages:
    187
    Likes Received:
    7
    Trophy Points:
    18
    City, State:
    Germany / Thüringen
    Year, Model & Trim Level:
    2013 Sport
    Is it dangerous to install this version (without any dealer help here in Germany) ? What kind of problems I can await if it goes wrong ? Can it go wrong (ok, power loss and so while install...) ?

    Understand correctly: these to: autoinstall.lst and the map syncmyride on usb ?

    BTW: why does Ford Owner not give a hint that owners can get newer versions (only) from the dealers ?
     
    Last edited: April 23, 2017
  11. MikB

    MikB Active Member

    Joined:
    August 6, 2015
    Messages:
    334
    Likes Received:
    20
    Trophy Points:
    28
    Year, Model & Trim Level:
    2017 F150 XLT Sport 4x4
    From Russia...mmm K. I have another question...or maybe 3. So, this is a 3rd party install? It would seem to me that Ford would give you some info on Syncmyride about the new update even though they don't put it up for a DIY download. This adds to the mystery, IMO. It also would seem that Ford maybe made it unavailable on the site so they could 'get you in the door' to their shops. Do they charge for the update service? I'm just wondering why they wouldn't have some kind of explanation as to the change in acquiring updates. Seems odd to me that they wouldn't give notice.
     
    • Like Like x 1
  12. Tsuga

    Tsuga Member

    Joined:
    February 20, 2017
    Messages:
    72
    Likes Received:
    1
    Trophy Points:
    8
    Year, Model & Trim Level:
    2013, Explorer, Sport
    I talked to the service coordinator at dealer where I bought my Explorer and she said that there is a charge for an update unless you have issues with Sync. I was running version 3.5 and Sync my ride said that I was up to date, but had issues with the latest iPhone iOS. Anyway, it was a lot of hassles to bring my Explorer the shop to have them update it, so, I just did it myself.
     
  13. Benk016

    Benk016 New Member

    Joined:
    April 5, 2017
    Messages:
    41
    Likes Received:
    6
    Trophy Points:
    8
    City, State:
    Skiatook, OK
    Year, Model & Trim Level:
    2015 Explorer Sport
    As long as you follow the instructions when you put in the thumb drive you should be fine. But please understand that this install is intended for North America sync systems. Although the software is the same for all countries, I don't know that all the languages are included in this.

    At this time they don't publish anything about the updates, and only do an update if you actually have a problem that one of the updates resolves.

    It is an actual Ford install, but modified to be able to update the 3.10 files. Once you update this and run a Vehicle health report syncmyride.com will show you are running 3.10 and that you are now up to date. I will attach a screenshot to this post of my Fusion after updating with this update, and the SyncMyRide.com history.

    I have no idea why they have quit publishing the updates, or even telling you that there is an update at all.

    [​IMG]

    [​IMG]
     
    • Like Like x 1
  14. Daheim111

    Daheim111 Active Member

    Joined:
    February 16, 2017
    Messages:
    187
    Likes Received:
    7
    Trophy Points:
    18
    City, State:
    Germany / Thüringen
    Year, Model & Trim Level:
    2013 Sport
    @Benk16: "But please understand that this install is intended for North America sync Systems." My Explorer is imported and goes in english...so it should work !?
     
  15. Benk016

    Benk016 New Member

    Joined:
    April 5, 2017
    Messages:
    41
    Likes Received:
    6
    Trophy Points:
    8
    City, State:
    Skiatook, OK
    Year, Model & Trim Level:
    2015 Explorer Sport
    It should work, but its more of an at your own risk kind of thing.
     
  16. Daheim111

    Daheim111 Active Member

    Joined:
    February 16, 2017
    Messages:
    187
    Likes Received:
    7
    Trophy Points:
    18
    City, State:
    Germany / Thüringen
    Year, Model & Trim Level:
    2013 Sport
    Are that exactly the same files you used to update to 3.10 ? I count 21 maps in the main map syncmyride... Added or removed something ? There are many zip files (map syncmyride) included or what file I have to use ? I will try it today...
     
    Last edited: April 24, 2017
  17. Benk016

    Benk016 New Member

    Joined:
    April 5, 2017
    Messages:
    41
    Likes Received:
    6
    Trophy Points:
    8
    City, State:
    Skiatook, OK
    Year, Model & Trim Level:
    2015 Explorer Sport
    The file I uploaded is exactly what I used on both my vehicles.
    the thumb drive should have only 2 files on it when you open it.

    -Thumbdrive
    --Syncmyride
    --autoinstall.lst


    Don't do anything with the files inside of the syncmyride folder.
     
  18. Daheim111

    Daheim111 Active Member

    Joined:
    February 16, 2017
    Messages:
    187
    Likes Received:
    7
    Trophy Points:
    18
    City, State:
    Germany / Thüringen
    Year, Model & Trim Level:
    2013 Sport
    But then files in syncmyride are zip-files (winrar)...not unzip these files ???
     
  19. Benk016

    Benk016 New Member

    Joined:
    April 5, 2017
    Messages:
    41
    Likes Received:
    6
    Trophy Points:
    8
    City, State:
    Skiatook, OK
    Year, Model & Trim Level:
    2015 Explorer Sport
    Correct. Do not unzip anything else.
     
    • Like Like x 1
  20. Daheim111

    Daheim111 Active Member

    Joined:
    February 16, 2017
    Messages:
    187
    Likes Received:
    7
    Trophy Points:
    18
    City, State:
    Germany / Thüringen
    Year, Model & Trim Level:
    2013 Sport
    Thanks to Benk016 and peterk9 !!!
    It works great / about an half hour and finally comes 3.10 on my display !
     
  21. MikB

    MikB Active Member

    Joined:
    August 6, 2015
    Messages:
    334
    Likes Received:
    20
    Trophy Points:
    28
    Year, Model & Trim Level:
    2017 F150 XLT Sport 4x4
    OK, I've downloaded the file to my flash drive but, I still don't know why I need it, what it does or improves outside of changing the version number to '3.10'. Why is this new update needed? Maybe I missed that part? :thumbsup:
     

Share This Page







We Support Our Troops!